#! /usr/bin/env python
# -*- coding: Latin-1 -*-


class Atom:
    """egyszer?sített atomok, a Per.Rendszer els? 10 eleme közül választva""" 
    table =[None, ('hidrogen',0), ('helium',2), ('litium',4),
            ('berilium',5), ('bor',6), ('szen',6), ('nitrogen',7),
            ('oxigen',8), ('fluor',10), ('neon',10)]
            
    def __init__(self, nat):
        "a rendszám meghatározza a protonok, elektronok és neutronok számát" 
        self.np, self.ne = nat, nat          # nat = rendszám
        self.nn = Atom.table[nat][1]         #neutronszám a táblázatból
        
    def kiir(self):
        print
        print "Az elem neve :", Atom.table[self.np][0]
        print "%s proton, %s elektron, %s neutron" % \
                  (self.np, self.ne, self.nn)
               
class Ion(Atom):
    """az ionok atomok, amik elektronokat vettek fel vagy vesztettek"""
     
    def __init__(self, nat, toltes):
        "a rendszám és a töltés határozzák meg az iont"
        Atom.__init__(self, nat)
        self.ne = self.ne - toltes
        self.toltes = toltes
    
    def kiir(self):
	"ez a metódus a szül?osztálytól örökölt metódust helyettesíti"
        Atom.kiir(self)
        print "Toltott reszecske. Toltes=", self.toltes        
        
### F?program : ###     

a1 = Atom(5)
a2 = Ion(3, 1)
a3 = Ion(8, -2)
a1.kiir()
a2.kiir()
a3.kiir()